Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 47 - Python's optional modules not compiled by default.
Summary: Python's optional modules not compiled by default.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: python
Version: 5.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-11 22:44 UTC by paulmatthews
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-11 20:13:36 UTC


Attachments (Terms of Use)

Description paulmatthews 1998-11-11 22:44:15 UTC
Python on 5.1 is not built so it contains the modules that
allow access to products, such as Berkley DB and the GNU MP
libraries.

The python-1.5.1-5.i386.rpm for rawhide appears not to
support these libraries. Even though GNU MP now has an RPM
in rawhide.

I can't comment on 5.2 yet.

This can be fixed by a configuration option at compile time.
Doing so is easy and would increase the usefullness of
python on RedHat significantly.

Comment 1 David Lawrence 1998-11-24 21:34:59 UTC
RawHide is meant to be developmental and is not always in sync with
the actual Red Hat distribution. Let us know is this problem exists in
the normal 5.2 distribution.

Comment 2 paulmatthews 1998-12-01 12:39:59 UTC
Yep. Python in 5.2 has no access to the gmp libraries.

Comment 3 David Lawrence 1998-12-01 16:59:59 UTC
This has been assigned to a developer for further review.

Comment 4 Michael K. Johnson 1999-02-11 20:13:59 UTC
I added the bsd db interface (the only db interface we didn't
ship; actually links against the same library as the dbm interface)
and the gmp interface.

Fixed in python-1.5.1-8.  This fix will not be made an erratum
for Red Hat Linux 5.2, but will be available in RawHide and in
subsequent releases.


Note You need to log in before you can comment on or make changes to this bug.